@echo off
cls
echo.
echo ] Major Gateway/Internet V1.12 to V1.13 Upgrade (BBS Directory)
echo ]
echo ] Copying files...
echo ]
copy %0a.zip 112-113D.ZIP > NUL
echo ]
echo ] Unzipping...
echo ]
pkunzip -# -o 112-113D
echo ] Patching system to V1.13...
echo ]
patch 112-113D
if not errorlevel 1 goto DOMSGS
echo.
echo ]
echo ] Error while attempting to patch to V1.13!
echo ]
goto ERROR

:DOMSGS
md gwi$$$ > nul
copy galgwi.upd gwi$$$\galgwi.msg > nul
bbsmup gwi$$$\ galgwi ttt
if exist gwi$$$\galgwi.msg del gwi$$$\galgwi.msg > nul
rd gwi$$$
del galgwi.upd > nul
bbsmsx galgwi
uumsx force
echo ]
echo ] Cleaning up...
echo ]
del 112-113d.rtp > nul
del 112-113d.zip > nul
del patch.exe > nul
echo ] V1.13 update complete!
echo ]
echo ] If you have not patched the MG/I files in your UUPlus directory, you
echo ] *must* do so before attempting another netrun.  The files needed
echo ] for this patch can be found in MGI113-U.ZIP, available on
echo ] Galacticomm's Demo System at (305) 583-7808.
echo ]
echo.
goto DONE

:ERROR
echo ]
echo ] Due to an unrecoverable error, your patch has been discontinued,
echo ] and your system restored to its original state.  You should write
echo ] down any error messages you received, and contact Galacticomm's
echo ] Technical Support as soon as possible to resolve the problem.
echo ] The file PATCH.ERR should contain the details of any error messages.
echo ]
echo.

:DONE
