@echo off
cls
echo.
echo ] Major Gateway/Internet V1.12 to V1.13 Upgrade (UUPlus Directory)
echo ]
echo ] Copying files...
echo ]
copy %0a.zip 112-113U.ZIP > NUL
echo ]
echo ] Unzipping...
echo ]
pkunzip -# -o 112-113U
echo ] Patching system to V1.13...
echo ]
patch 112-113U
if not errorlevel 1 goto DOMSGS
echo.
echo ]
echo ] Error while attempting to patch to V1.13!
echo ]
goto ERROR

:DOMSGS
copy galref.vir galref.dat > nul
echo ]
echo ] Cleaning up...
echo ]
del 112-113u.rtp > nul
del 112-113u.zip > nul
del patch.exe > nul
echo ] V1.13 update complete!
echo ]
echo ] If you have not patched the MG/I files in your BBS directory, you
echo ] *must* do so before attempting another netrun.  The files needed
echo ] for this patch can be found in MGI113-D.ZIP, available on
echo ] Galacticomm's Demo System at (305) 583-7808.
echo ]
echo.
goto DONE

:ERROR
echo ]
echo ] Due to an unrecoverable error, your patch has been discontinued,
echo ] and your system restored to its original state.  You should write
echo ] down any error messages you received, and contact Galacticomm's
echo ] Technical Support as soon as possible to resolve the problem.
echo ] The file PATCH.ERR should contain the details of any error messages.
echo ]
echo.

:DONE
